#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, Q;
    long long s = 0;
    printf("Unesi broj pronalazenja plazme:");
    scanf("%d", &N);
    printf("Unesi broj pitanja:");
    scanf("%d", &Q);

    int d[N], p[N];
    long long k[Q];

    for (int i = 0; i < N; i++) {
        printf("Kog dana je otac bio u prodavnci:");
        scanf("%d", &d[i]);
        printf("Koliko pakovanja je kupio:");
        scanf("%d", &p[i]);
    }

    for (int j = 0; j < Q; j++) {
        printf("Kog dana je cerka prestala da jede plazmu:");
        scanf("%lld", &k[j]);
    }

    for (int j = 0; j < Q; j++) {
        long long zd = k[j], s = 0, brp = 0;
        for (int i = 0; i < N; i++) {
            if (d[i] > zd) {
                break;
            }
            brp += p[i];
            long long pd;
            if (i == N - 1 || d[i + 1] > zd) {
                pd = zd - d[i] + 1;
            } else {
                pd = d[i + 1] - d[i];
            }

            if (pd > brp) {
                s += brp;
                brp = 0;
            } else {
                s += pd;
                brp -= pd;
            }
        }

        printf("Cerka je pojela %lld pakovanja do %lld. dana.\n", s, zd);
    }

    return 0;
}